Subject: Re: [RESEND PATCH 0/3] git-completion.bash: improvements to _git_stash()

From: Denton Liu <[email-masked]>
Date: Fri, 19 Mar 2021 01:09:18 -0700

Hi Junio,

On Thu, Mar 18, 2021 at 02:58:34PM -0700, Junio C Hamano wrote:
> Denton Liu <[email-masked]> writes:
> 
> > This series modernises the _git_stash() completion handler by letting it
> > take advantage of __gitcomp_builtin(). Also, it fixes a bug with how it
> > offers completions when arguments are provided to the main git command.
> >
> > Denton Liu (3):
> >   git-completion.bash: extract from else in _git_stash()
> >   git-completion.bash: fix `git <args>... stash branch` bug
> >   git-completion.bash: use __gitcomp_builtin() in _git_stash()
> >
> >  contrib/completion/git-completion.bash | 103 +++++++++++++------------
> >  1 file changed, 52 insertions(+), 51 deletions(-)
> 
> Hmph, this comflicts with your own "stash show --include-untracked
> and --only-untracked" completion patch d3c7bf73bdb67, it seems.  How
> ready is that topic for 'master'?

Ah, sorry I forgot to mention that it conflicts in the cover letter. The
resolution can be done by just taking these changes. If you'd like, I
can also rebase this series on top of 'dl/stash-show-untracked'.

In any case, unless you have any other concerns, I would declare
'dl/stash-show-untracked' ready for 'master'.

Thanks,
Denton